Index: busybox-1.22.0/init/init.c
===================================================================
--- busybox-1.22.0.orig/init/init.c
+++ busybox-1.22.0/init/init.c
@@ -277,11 +277,19 @@ static void console_init(void)
 #ifdef VT_OPENQRY
 	int vtno;
 #endif
-	char *s;
 
+#if defined(__linux__)
+	char *s;
 	s = getenv("CONSOLE");
 	if (!s)
 		s = getenv("console");
+#elif defined(__FreeBSD__) || defined(__FreeBSD_kernel__)
+	const char *s;
+	s = "/dev/console";
+#else
+#error "we don't know how to open the console on this system"
+#endif
+
 	if (s) {
 		int fd = open(s, O_RDWR | O_NONBLOCK | O_NOCTTY);
 		if (fd >= 0) {
